VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Class1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ActiveX: A Guide to the Perplexed
' Binding example
' Copyright (c) 1997 by Desaware Inc.


Option Explicit

' A very fast operation


Public Function FastOperation() As Integer
   FastOperation = 1
End Function

' A somewhat slower operation
Public Function SlowOperation() As Integer
   Dim x&
   Dim s$
   For x = 1 To 50
      s$ = s$ & "X"
   Next x
End Function
